/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.common.constant;

import org.springblade.core.launch.constant.AppConstant;

/**
 * 通用常量
 *
 * @author Chill
 */
public interface CommonConstant {

	/**
	 * app name
	 */
	String APPLICATION_NAME = AppConstant.APPLICATION_NAME_PREFIX + "api";

	/**
	 * sword 系统名
	 */
	String SWORD_NAME = "sword";

	/**
	 * saber 系统名
	 */
	String SABER_NAME = "saber";

	/**
	 * 顶级父节点id
	 */
	Long TOP_PARENT_ID = 0L;

	/**
	 * 顶级父节点名称
	 */
	String TOP_PARENT_NAME = "顶级";

	/**
	 * 未封存状态值
	 */
	Integer NOT_SEALED_ID = 0;

	/**
	 * 默认密码
	 */
	String DEFAULT_PASSWORD = "123456";

	/**
	 * 默认密码参数值
	 */
	String DEFAULT_PARAM_PASSWORD = "account.initPassword";

	/**
	 * 默认排序字段
	 */
	String SORT_FIELD = "sort";

	/**
	 * 数据权限类型
	 */
	Integer DATA_SCOPE_CATEGORY = 1;

	/**
	 * 接口权限类型
	 */
	Integer API_SCOPE_CATEGORY = 2;


	String API_URL = "v1";

	/**
	 * 默认用户头像
	 */
	String DEFAULT_AVATAR = "user:default:avatar";

	/**
	 * 默认角色
	 */
	String DEFAULT_ROLD = "user:default:role";


	/**
	 * 默认部门
	 */
	String DEFAULT_DEPT = "user:default:dept";

	/**
	 * 默认岗位
	 */
	String DEFAULT_POST = "user:default:post";

	/**
	 * 默认信誉分
	 */
	String DEFAULT_CREDIT_SCORE = "user:default:creditScore";

	/**
	 * 默认服务费比例
	 */
	String DEFAULT_SERVERS_RATIO = "user:default:servesRatio";

	/**
	 * 广告轮播默认条数
	 */
	String DEFAULT_ADS_LIMIT = "default:ads:limit";

	/**
	 * 首页默认抢购专区查询条数
	 */
	String DEFAULT_CONSIGN_LIMIT = "default:consign:limit";

	/**
	 * 服务器服务域名
	 */
	String DEFAULT_SERVICE_DOMAIN = "default:service:domain";

	/**
	 * 寄售1天的取得价比
	 */
	String DEFAULT_CONDIGN_RATIO_T1 = "default:consign:ratio:t1";

	/**
	 * 寄售2天的取得价比
	 */
	String DEFAULT_CONDIGN_RATIO_T2 = "default:consign:ratio:t2";

	/**
	 * 寄售3天的取得价比
	 */
	String DEFAULT_CONDIGN_RATIO_T3 = "default:consign:ratio:t3";

	/**
	 * 参与人数调整比例
	 */
	String DEFAULT_CONDIGN_TURNOUT = "default:consign:turnout";

}
