/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.finance.vo;

import io.swagger.annotations.ApiModelProperty;
import org.springblade.modules.finance.entity.Order;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;
import org.springblade.modules.finance.entity.OrderGoods;

import java.util.List;

/**
 * 订单表视图实体类
 *
 * @author BladeX
 * @since 2022-02-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "OrderVO对象", description = "订单表")
public class OrderVO extends Order {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "订单状态")
	private String payFlagDisplayName;


	@ApiModelProperty(value = "订单类型：1酒票订单，2寄售订单,3普通订单")
	private String orderTypeDisplayName;

	@ApiModelProperty(value = "配送方式")
	private String distributeModeDisplayName;

	@ApiModelProperty(value = "是否退款")
	private String isRefundDisplayName;

	@ApiModelProperty(value = "状态（预留）")
	private String orderStateDisplayName;

	@ApiModelProperty(value = "商品信息")
	private List<OrderGoods> orderGoods;

}
