/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.platform.vo;

import io.swagger.annotations.ApiModelProperty;
import org.springblade.modules.platform.entity.UserTicket;
import lombok.Data;
import lombok.EqualsAndHashCode;
import io.swagger.annotations.ApiModel;

/**
 * 用户酒票表视图实体类
 *
 * @author BladeX
 * @since 2022-02-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "UserTicketVO对象", description = "用户酒票表")
public class UserTicketVO extends UserTicket {
	private static final long serialVersionUID = 1L;

	/**
	 * 来源:1订单 2抢购 3其他
	 */
	@ApiModelProperty(value = "来源:1订单 2抢购 3其他")
	private String dataSrcDisplayName;

	/**
	 * 酒票类型：1:收入 2：支出
	 */
	@ApiModelProperty(value = "酒票类型：1:收入 2：支出")
	private String ticketTypeDisplayName;

}
