/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.shopping.mapper;

import org.apache.ibatis.annotations.Param;
import org.springblade.modules.shopping.entity.Consign;
import org.springblade.modules.shopping.vo.ConsignVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;

/**
 * 商品寄售表 Mapper 接口
 *
 * @author BladeX
 * @since 2022-02-13
 */
public interface ConsignMapper extends BaseMapper<Consign> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param consign
	 * @return
	 */
	List<ConsignVO> selectConsignPage(IPage page, ConsignVO consign);

	/**
	 * 获取随机数
	 * @param consignConfigId 批次ID
	 * @return Consign
	 */
	Consign randomConsign(@Param("consignConfigId") Long consignConfigId);
}
