/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.shopping.wrapper;

import org.springblade.common.cache.DictCache;
import org.springblade.common.enums.DictEnum;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.shopping.entity.ConsignConfig;
import org.springblade.modules.shopping.entity.Goods;
import org.springblade.modules.shopping.vo.ConsignConfigVO;
import org.springblade.modules.shopping.vo.GoodsVO;

import java.util.Objects;

/**
 * 包装类,返回视图层所需的字段
 *
 * @author Chill
 */
public class ConsignConfigWrapper extends BaseEntityWrapper<ConsignConfig, ConsignConfigVO> {

	public static ConsignConfigWrapper build() {
		return new ConsignConfigWrapper();
	}

	@Override
	public ConsignConfigVO entityVO(ConsignConfig entity) {
		ConsignConfigVO vo = Objects.requireNonNull(BeanUtil.copy(entity, ConsignConfigVO.class));
		vo.setIsEnabledDisplayName(DictCache.getValue(DictEnum.YES_NO, entity.getIsEnabled()));
		return vo;
	}

}
